file( GLOB _dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
string( REGEX REPLACE "[ \r\n\t]+" ";" _linguas "$ENV{LINGUAS}" )

list( REMOVE_ITEM _dirs "tdeioslave" )

foreach( _dir ${_dirs} )
  if( IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_dir} AND
      EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_dir}/CMakeLists.txt )
    if( "${_dir}" STREQUAL "en" OR
        "${_dir}" STREQUAL "man" OR
        "${_linguas}" MATCHES "^;*$" OR
        ";${_linguas};" MATCHES ";${_dir};" )
      add_subdirectory( ${_dir} )
    endif( )
  endif()
endforeach()

add_subdirectory( tdeioslave )
